curl --request GET \
--url https://ai.data.cloud/api/v1/team/datasets/{datasetId}/status \
--header 'x-pd-api-key: <api-key>'import requests
url = "https://ai.data.cloud/api/v1/team/datasets/{datasetId}/status"
headers = {"x-pd-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-pd-api-key': '<api-key>'}};
fetch('https://ai.data.cloud/api/v1/team/datasets/{datasetId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"data": {
"synchedCount": 5,
"invalidCount": 0,
"synchingCount": 0
}
}Get dataset status
Datasets are stateless. This endpoint allows you to check the current statuses of data sources in the specified dataset to determine if the dataset is ready for running your jobs.
A dataset is fully synchronized only when both invalidCount and synchingCount in the response are 0. Otherwise, the data sources that are not synchronized cannot be accessed.
Authorizations
Headers
The external trace ID. The length ranges from 0 to 128 characters.
Path Parameters
The dataset ID.
Response
Status code. 0 indicates that the operation is successful. Otherwise, the operation fails. Possible error codes include:
- 100: Bad request.
- 201: Request frequency limit.
- 9999: Internal error.
- 100001: Invalid operation.
The returned data object. Your dataset is fully synchronized only when both invalidCount and synchingCount are 0. Otherwise, starting a conversation immediately cannot fetching data from data sourcs that are not synchronized.
Show child attributes
Show child attributes